Package org.eclipse.m2m.atl.emftvm.trace.impl

## Class TraceLinkImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.trace.impl.TraceLinkImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `TraceLink`

    public class TraceLinkImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements TraceLink

An implementation of the model object 'Link'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected boolean` `overridden` The cached value of the '`Overridden`' attribute.
`protected static boolean` `OVERRIDDEN_EDEFAULT` The default value of the '`Overridden`' attribute.
`protected org.eclipse.emf.common.util.EList<SourceElement>` `sourceElements` The cached value of the '`Source Elements`' containment reference list.
`protected java.util.Map<java.lang.String,​SourceElement>` `sourceElementsByName` Lookup table of `SourceElement`s by name.
`protected org.eclipse.emf.common.util.EList<TargetElement>` `targetElements` The cached value of the '`Target Elements`' containment reference list.
`protected java.util.Map<java.lang.String,​TargetElement>` `targetElementsByName` Lookup table of `TargetElement`s by name.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `TraceLinkImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.NotificationChain` `basicSetRule​(TracedRule newRule, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`boolean` `eNotificationRequired()`
`void` `eNotify​(org.eclipse.emf.common.notify.Notification notification)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`TracedRule` `getRule()`
`SourceElement` `getSourceElement​(java.lang.String name, boolean create)`
`org.eclipse.emf.common.util.EList<SourceElement>` `getSourceElements()`
`TargetElement` `getTargetElement​(java.lang.String name)`
`org.eclipse.emf.common.util.EList<TargetElement>` `getTargetElements()`
`boolean` `isOverridden()`
`void` `setOverridden​(boolean newOverridden)`
`void` `setRule​(TracedRule newRule)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eSetDeliver`

### Field Detail

#### sourceElements

    protected org.eclipse.emf.common.util.EList<SourceElement> sourceElements

The cached value of the '`Source Elements`' containment reference list.

See Also:
  `getSourceElements()`

#### targetElements

    protected org.eclipse.emf.common.util.EList<TargetElement> targetElements

The cached value of the '`Target Elements`' containment reference list.

See Also:
  `getTargetElements()`

#### OVERRIDDEN_EDEFAULT

    protected static final boolean OVERRIDDEN_EDEFAULT

The default value of the '`Overridden`' attribute.

See Also:
  `isOverridden()`, Constant Field Values

#### overridden

    protected boolean overridden

The cached value of the '`Overridden`' attribute.

See Also:
  `isOverridden()`

#### sourceElementsByName

    protected final java.util.Map<java.lang.String,​SourceElement> sourceElementsByName

Lookup table of `SourceElement`s by name.

#### targetElementsByName

    protected final java.util.Map<java.lang.String,​TargetElement> targetElementsByName

Lookup table of `TargetElement`s by name.

### Constructor Detail

#### TraceLinkImpl

    protected TraceLinkImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

#### getRule

    public TracedRule getRule()

Specified by:
  `getRule` in interface `TraceLink`
Returns:
  the value of the 'Rule' container reference.
See Also:
  `TraceLink.setRule(TracedRule)`, `TracePackage.getTraceLink_Rule()`, `TracedRule.getLinks()`

#### basicSetRule

    public org.eclipse.emf.common.notify.NotificationChain basicSetRule​(TracedRule newRule,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

#### setRule

    public void setRule​(TracedRule newRule)

Specified by:
  `setRule` in interface `TraceLink`
Parameters:
  `newRule` - the new value of the 'Rule' container reference.
See Also:
  `TraceLink.getRule()`

#### isOverridden

    public boolean isOverridden()

Specified by:
  `isOverridden` in interface `TraceLink`
Returns:
  the value of the 'Overridden' attribute.
See Also:
  `TraceLink.setOverridden(boolean)`, `TracePackage.getTraceLink_Overridden()`

#### setOverridden

    public void setOverridden​(boolean newOverridden)

Specified by:
  `setOverridden` in interface `TraceLink`
Parameters:
  `newOverridden` - the new value of the 'Overridden' attribute.
See Also:
  `TraceLink.isOverridden()`

#### getSourceElement

    public SourceElement getSourceElement​(java.lang.String name,
                                          boolean create)

Specified by:
  `getSourceElement` in interface `TraceLink`

#### getSourceElements

    public org.eclipse.emf.common.util.EList<SourceElement> getSourceElements()

Specified by:
  `getSourceElements` in interface `TraceLink`
Returns:
  the value of the 'Source Elements' containment reference list.
See Also:
  `TracePackage.getTraceLink_SourceElements()`, `SourceElement.getSourceOf()`

#### getTargetElements

    public org.eclipse.emf.common.util.EList<TargetElement> getTargetElements()

Specified by:
  `getTargetElements` in interface `TraceLink`
Returns:
  the value of the 'Target Elements' containment reference list.
See Also:
  `TracePackage.getTraceLink_TargetElements()`, `TargetElement.getTargetOf()`

#### getTargetElement

    public TargetElement getTargetElement​(java.lang.String name)

Specified by:
  `getTargetElement` in interface `TraceLink`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eNotificationRequired

    public boolean eNotificationRequired()

Specified by:
  `eNotificationRequired` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eNotificationRequired` in class `org.eclipse.emf.common.notify.impl.BasicNotifierImpl`

#### eNotify

    public void eNotify​(org.eclipse.emf.common.notify.Notification notification)

Specified by:
  `eNotify` in interface `org.eclipse.emf.common.notify.Notifier`
Overrides:
  `eNotify` in class `org.eclipse.emf.common.notify.impl.BasicNotifierImpl`